## tzsp2pcap 0.0~git20191215.4fb8147

=== Makefile ===
# Configurable variables
TARGET = tzsp2pcap
CFLAGS += -std=c99 -D_DEFAULT_SOURCE -Wall -Wextra -pedantic -O2 -g
LIBS = -lpcap
DESTDIR ?= /usr/local

tzsp2pcap: tzsp2pcap.c
	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $< $(LIBS)

.PHONY: clean all install uninstall

all: $(TARGET)

install: $(TARGET)
	install -s -m 755 $< $(DESTDIR)/bin

uninstall:
	rm -f $(DESTDIR)/bin/$(TARGET)

clean:
	rm -f $(TARGET)

=== debian/changelog ===
tzsp2pcap (0.0~git20191215.4fb8147-1) unstable; urgency=low

  * Initial release (Closes: #1128997)

 -- Sascha Steinbiss <satta@debian.org>  Wed, 25 Feb 2026 18:26:41 +0100

=== debian/control ===
Source: tzsp2pcap
Section: net
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               libpcap-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/thefloweringash/tzsp2pcap
Vcs-Git: https://salsa.debian.org/debian/tzsp2pcap.git
Vcs-Browser: https://salsa.debian.org/debian/tzsp2pcap

Package: tzsp2pcap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple live TaZmen Sniffer Protocol (TZSP) to pcap converter
 This is a simple utility to listen for TaZmen Sniffer Protocol (TZSP)
 packets and output the contents on stdout in pcap format.
 It has only been lightly tested with Mikrotik RouterOS products.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-unused-result

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp/usr
